from StartupTree.settings import IS_DEV, IS_STAGING, IS_PRODUCTION

# MIDDLE_MAN_EMAILUSER_ID_DEV = 2167 # Jean@startuptree.co
MIDDLE_MAN_EMAILUSER_ID_DEV = 2298  # kietra@startuptree.co
AUTO_CONFERENCE_DEFAULT_EMAIL = "meet@startuptree.co"


PAYLOAD_STATUS = "status"
PAYLOAD_MSG = "msg"
VALID_REQUEST_CODE = 200
INVALID_REQUEST = "Invalid request"
INVALID_REQUEST_CODE = 400
INVALID_PERMISSION = "Invalid permission to take an action."
INVALID_PERMISSION_CODE = 403
INVALID_ACTION = "Invalid action"
REQUEST_REJECT_REQUIRE_REASON = "Please provide a reason for the rejection."
SERVER_ERROR = 500

MONDAY = 'Monday'
TUESDAY = 'Tuesday'
WEDNESDAY = 'Wednesday'
THURSDAY = 'Thursday'
FRIDAY = 'Friday'
SATURDAY = 'Saturday'
SUNDAY = 'Sunday'
DAYS = [MONDAY, TUESDAY, WEDNESDAY, THURSDAY,
        FRIDAY, SATURDAY, SUNDAY]


DEFAULT_PRIMARY_COLOR = '#00ce88'


# BEGIN Constants for Temple Tech COMMERCIALIZATION Tag Customization
TEMPLE_TECH_COMMERCIALIZATION_TAG_ID_PRODUCTION = 947
TEMPLE_TECH_COMMERCIALIZATION_TAG_ID_STAGING = -1       # Modify as needed for testing
TEMPLE_TECH_COMMERCIALIZATION_TAG_ID_DEV = 174          # Modify as needed for testing

if IS_DEV:
    TEMPLE_TECH_COMMERCIALIZATION_TAG_ID = TEMPLE_TECH_COMMERCIALIZATION_TAG_ID_DEV
elif IS_STAGING:
    TEMPLE_TECH_COMMERCIALIZATION_TAG_ID = TEMPLE_TECH_COMMERCIALIZATION_TAG_ID_STAGING
elif IS_PRODUCTION:
    TEMPLE_TECH_COMMERCIALIZATION_TAG_ID = TEMPLE_TECH_COMMERCIALIZATION_TAG_ID_PRODUCTION
else:
    TEMPLE_TECH_COMMERCIALIZATION_TAG_ID = -1

TEMPLE_UNI_SHORTNAME = 'temple'
# END Constants for Temple Tech COMMERCIALIZATION Tag Customization
